# Uses of Class
org.opensaml.saml.common.binding.BindingDescriptor

Packages that use BindingDescriptor
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml1.binding.decoding.impl
SAML 1.x message decoders.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.

## Uses of BindingDescriptor in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context declared as BindingDescriptor
Modifier and Type
Field
Description
`private BindingDescriptor`
SAMLBindingContext.`bindingDescriptor`
The binding descriptor.
Methods in org.opensaml.saml.common.messaging.context that return BindingDescriptor
Modifier and Type
Method
Description
`BindingDescriptor`
SAMLBindingContext.`getBindingDescriptor()`
Get the SAML binding descriptor.
Methods in org.opensaml.saml.common.messaging.context with parameters of type BindingDescriptor
Modifier and Type
Method
Description
`void`
SAMLBindingContext.`setBindingDescriptor(BindingDescriptor descriptor)`
Set the SAML binding descriptor.

## Uses of BindingDescriptor in org.opensaml.saml.saml1.binding.decoding.impl

Fields in org.opensaml.saml.saml1.binding.decoding.impl declared as BindingDescriptor
Modifier and Type
Field
Description
`private BindingDescriptor`
HTTPArtifactDecoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HttpClientResponseSOAP11Decoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HTTPPostDecoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HTTPSOAP11Decoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
Methods in org.opensaml.saml.saml1.binding.decoding.impl that return BindingDescriptor
Modifier and Type
Method
Description
`BindingDescriptor`
HTTPArtifactDecoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HttpClientResponseSOAP11Decoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HTTPPostDecoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HTTPSOAP11Decoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
Methods in org.opensaml.saml.saml1.binding.decoding.impl with parameters of type BindingDescriptor
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HttpClientResponseSOAP11Decoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HTTPPostDecoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HTTPSOAP11Decoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.

## Uses of BindingDescriptor in org.opensaml.saml.saml2.binding.decoding.impl

Fields in org.opensaml.saml.saml2.binding.decoding.impl declared as BindingDescriptor
Modifier and Type
Field
Description
`private BindingDescriptor`
HTTPArtifactDecoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HttpClientResponseSOAP11Decoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HTTPPostDecoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HTTPRedirectDeflateDecoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`private BindingDescriptor`
HTTPSOAP11Decoder.`bindingDescriptor`
Optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
Methods in org.opensaml.saml.saml2.binding.decoding.impl that return BindingDescriptor
Modifier and Type
Method
Description
`BindingDescriptor`
HTTPArtifactDecoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HttpClientResponseSOAP11Decoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HTTPPostDecoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HTTPRedirectDeflateDecoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`BindingDescriptor`
HTTPSOAP11Decoder.`getBindingDescriptor()`
Get an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type BindingDescriptor
Modifier and Type
Method
Description
`void`
HTTPArtifactDecoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HttpClientResponseSOAP11Decoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HTTPPostDecoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HTTPRedirectDeflateDecoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.
`void`
HTTPSOAP11Decoder.`setBindingDescriptor(BindingDescriptor descriptor)`
Set an optional `BindingDescriptor` to inject into `SAMLBindingContext` created.